<?
$sub_menu = "300200";
include_once("./_common.php");

if ($w == 'u')
    check_demo();

auth_check($auth[$sub_menu], "w");

if ($is_admin != "super" && $w == "") alert("최고관리자만 접근 가능합니다.");

if (!ereg("^([A-Za-z0-9_]{1,10})$", $gr_id))
    alert("그룹 ID는 공백없이 영문자, 숫자, _ 만 사용 가능합니다. (10자 이내)");

if (!$gr_subject) alert("그룹 제목을 입력하세요.");

$group_path = "$g4[path]/data/file/$gr_id";


//파일 이미지 업로드

// 디렉토리가 없다면 생성합니다. (퍼미션도 변경하구요.)
// 게시판 디렉토리 생성
@mkdir($group_path, 0707);
@chmod($group_path, 0707);

$file = $group_path . "/index.php";
$f = @fopen($file, "w");
@fwrite($f, "");
@fclose($f);
@chmod($file, 0606);



$sql_common = " gr_subject      = '$gr_subject',
                gr_admin        = '$gr_admin',  
                gr_use_access   = '$gr_use_access',
                gr_1_subj       = '$gr_1_subj',
                gr_2_subj       = '$gr_2_subj',
                gr_3_subj       = '$gr_3_subj',
                gr_4_subj       = '$gr_4_subj',
                gr_5_subj       = '$gr_5_subj',
                gr_6_subj       = '$gr_6_subj',
                gr_7_subj       = '$gr_7_subj',
                gr_8_subj       = '$gr_8_subj',
                gr_9_subj       = '$gr_9_subj',
                gr_10_subj      = '$gr_10_subj',
                gr_1            = '$gr_1',
                gr_2            = '$gr_2',
                gr_3            = '$gr_3',
                gr_4            = '$gr_4',
                gr_5            = '$gr_5',
                gr_6            = '$gr_6',
                gr_7            = '$gr_7',
                gr_8            = '$gr_8',
                gr_9            = '$gr_9',
                gr_10           = '$gr_10'
                ";
                
                
///////////////////////////////////////

$g4_table[g4_site_bill]   =  "g4_site_bill";
 //site_bill basic               
$sql_common_site_bill = "  po_subject = '$gr_subject',
                    po_poll1 = '$gr_id',
                    po_poll2 = '$po_poll2',
                    po_poll3 = '$po_poll3',
                    po_poll4 = '$po_poll4',
                    po_poll5 = '$po_poll5',
                    po_poll6 = '$po_poll6',
                    po_poll7 = '$po_poll7',
                    po_poll8 = '$po_poll8',
                    po_poll10 = '$po_poll10',
                    po_poll11 = '$po_poll11',
                    po_poll15 = '$po_poll15',
                    po_poll16 = '$po_poll16',
                    po_poll17 = '$po_poll17',
                    po_cnt1 = '$po_cnt1',
                    po_cnt2 = '$po_cnt2',
                    po_cnt3 = '$po_cnt3',
                    po_cnt4 = '$po_cnt4',
                    po_cnt5 = '$po_cnt5',
                    po_cnt6 = '$po_cnt6',
                    po_cnt7 = '$po_cnt7',
                    po_cnt8 = '$po_cnt8',
                    po_cnt9 = '$po_cnt9',
                    po_cnt10 = '$po_cnt10',
                    po_cnt11 = '$po_cnt11',
                    po_cnt12 = '$po_cnt12',
                    po_cnt13 = '$po_cnt13',
                    po_cnt14 = '$po_cnt14',
                    po_cnt15 = '$po_cnt15',
                    po_cnt16 = '$po_cnt16',
                    po_cnt17 = '$po_cnt17',
                    po_cnt18 = '$po_cnt18',
                    po_cnt19 = '$po_cnt19',
                    po_level = '$po_level',
                    po_point = '$po_point',
                    po_date = '$po_date' ";

////////////////////////////////////////////////////


//메뉴off삭제1
if ($group_menu_del) {
    @unlink("$group_path/$po_poll19");
    $sql_common_site_bill .= " , po_poll19 = '' ";
}

//메뉴on삭제2
if ($group_menu_del2) {
    @unlink("$group_path/$po_poll18");
    $sql_common_site_bill .= " , po_poll18 = '' ";
}

//그릅 노출 상단
if ($group_top_del) {
    @unlink("$group_path/$po_poll14");
    $sql_common_site_bill .= " , po_poll14 = '' ";
}

//그릅 노출 하단
if ($group_top_del2) {
    @unlink("$group_path/$po_poll13");
    $sql_common_site_bill .= " , po_poll13 = '' ";
}

//그릅 서브 타이틀이미지
if ($group_sub_bg_del) {
    @unlink("$group_path/$group_sub_bg_del");
    $sql_common_site_bill .= " , po_poll12 = '' ";
}



if ($_FILES[po_poll19][name]) {
    $bo_image_menu_urlencode = urlencode($_FILES[po_poll19][name]);
    $sql_common_site_bill .= " , po_poll19 = '$bo_image_menu_urlencode' ";
}

if ($_FILES[po_poll18][name]) {
    $bo_image_menu2_urlencode = urlencode($_FILES[po_poll18][name]);
    $sql_common_site_bill .= " , po_poll18 = '$bo_image_menu2_urlencode' ";
}


if ($_FILES[po_poll19][name]) { 
    $bo_image_11_path = "$group_path/$bo_image_menu_urlencode";
    move_uploaded_file($_FILES[po_poll19][tmp_name], $bo_image_11_path);
    chmod($bo_image_11_path, 0606);
}

if ($_FILES[po_poll18][name]) { 
    $bo_image_22_path = "$group_path/$bo_image_menu2_urlencode";
    move_uploaded_file($_FILES[po_poll18][tmp_name], $bo_image_22_path);
    chmod($bo_image_22_path, 0606);
}


if ($_FILES[po_poll14][name]) {
    $bo_image_top_urlencode = urlencode($_FILES[po_poll14][name]);
    $sql_common_site_bill .= " , po_poll14 = '$bo_image_top_urlencode' ";
}

if ($_FILES[po_poll13][name]) {
    $bo_image_top2_urlencode = urlencode($_FILES[po_poll13][name]);
    $sql_common_site_bill .= " , po_poll13 = '$bo_image_top2_urlencode' ";
}

if ($_FILES[po_poll12][name]) {
    $bo_image_sub2_urlencode = urlencode($_FILES[po_poll12][name]);
    $sql_common_site_bill .= " , po_poll12 = '$bo_image_sub2_urlencode' ";
}


if ($_FILES[po_poll14][name]) { 
    $bo_image_33_path = "$group_path/$bo_image_top_urlencode";
    move_uploaded_file($_FILES[po_poll14][tmp_name], $bo_image_33_path);
    chmod($bo_image_33_path, 0606);
}

if ($_FILES[po_poll13][name]) { 
    $bo_image_44_path = "$group_path/$bo_image_top2_urlencode";
    move_uploaded_file($_FILES[po_poll13][tmp_name], $bo_image_44_path);
    chmod($bo_image_44_path, 0606);
}

if ($_FILES[po_poll12][name]) { 
    $bo_image_55_path = "$group_path/$bo_image_sub2_urlencode";
    move_uploaded_file($_FILES[po_poll12][tmp_name], $bo_image_55_path);
    chmod($bo_image_55_path, 0606);
}










if ($w == "") 
{

	//환경존재여부 검사
    $sql_site_bill = " select count(*) as cnt from $g4_table[g4_site_bill] where po_poll1 = '$gr_id' and po_poll9 = 'gr_id' ";
    $row_site_bill = sql_fetch($sql_site_bill);


    $sql = " select count(*) as cnt from $g4[group_table] where gr_id = '$gr_id' ";
    $row = sql_fetch($sql);

	if($row[cnt] || $row_site_bill[cnt]){

        alert("설치가 금지된 그릅명입니다.");
	}



    //빌더 업데이트 ( 그릅테이블이 먼저 생성되어야 함 )        
    $sql_site_bill = " insert into $g4_table[g4_site_bill]
                       set po_etc = '$gr_id',
                           $sql_common_site_bill, po_poll9 = 'gr_id' ";
    sql_query($sql_site_bill);

    // 그릅테이블 생성        
    $sql = " insert into $g4[group_table]
                set gr_id = '$gr_id',
                    $sql_common ";
    sql_query($sql);
    
   
} 
else if ($w == "u") 
{
    $sql = " update $g4[group_table]
                set $sql_common
              where gr_id = '$gr_id' ";
    sql_query($sql);
    
    
    
///////////사이트빌더 설정///////////////////////////////////////////
    


    $sql = " update $g4_table[g4_site_bill]
                set $sql_common_site_bill
              where po_poll1 = '$gr_id' and po_poll9 = 'gr_id' ";
    sql_query($sql);


///////////사이트빌더 설정 끝///////////////////////////////////////////
    
} 
else
    alert("제대로 된 값이 넘어오지 않았습니다.");


 goto_url("./boardgroup_form.php?w=u&gr_id=$gr_id&$qstr");
?>
